#include <esp_now.h>
#include <WiFi.h>

uint8_t myData[250];
uint32_t cnt=0;
// 回调函数,当收到消息时会调佣该函数
void OnDataRecv(const uint8_t *mac, const uint8_t *incomingData, int len) {
  memcpy(myData, incomingData, sizeof(myData));
  cnt++;
  Serial.println(cnt);
}

void setup() {
  // 初始化串口波特率
  Serial.begin(115200);
  // 设置wifi模式
  WiFi.mode(WIFI_STA);
  // esp_wifi_config_espnow_rate(WIFI_IF_STA,WIFI_PHY_RATE_MCS7_SGI);
  // 初始化esp-now
  if (esp_now_init() != ESP_OK) {
    Serial.println("Error initializing ESP-NOW");
    return;
  }
  //注册接收信息的回调函数
  esp_now_register_recv_cb(OnDataRecv);  
}

void loop() {
}
